FullWrtTextInternal::Font Struct Reference

Internal: class to store a font and it state. More...

## Public Member Functions
| Font ()
| constructor
void | update ()
| update the font using the modifier

## Public Attributes
MWAWFont | m_font
| the font
bool | m_state [128]
| the rendering state
DataModifier | m_modifier
| the modifier data
bool | m_defModifier
| a flag to know if the data modifier is default
Item | m_item
| the index

## Detailed Description

Internal: class to store a font and it state.

## Constructor & Destructor Documentation

## ◆ Font()

FullWrtTextInternal::Font::Font | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ update()

void FullWrtTextInternal::Font::update | ( |  | ) |

update the font using the modifier

Referenced by FullWrtText::send().

## Member Data Documentation

## ◆ m_defModifier

bool FullWrtTextInternal::Font::m_defModifier

a flag to know if the data modifier is default

Referenced by Font(), FullWrtText::send(), and update().

## ◆ m_font

MWAWFont FullWrtTextInternal::Font::m_font

the font

Referenced by Font(), FullWrtText::send(), FullWrtText::send(), FullWrtText::sendHiddenItem(), and update().

## ◆ m_item

Item FullWrtTextInternal::Font::m_item

the index

Referenced by Font(), FullWrtText::send(), and FullWrtText::sendHiddenItem().

## ◆ m_modifier

DataModifier FullWrtTextInternal::Font::m_modifier

the modifier data

Referenced by Font(), FullWrtText::send(), and update().

## ◆ m_state

bool FullWrtTextInternal::Font::m_state[128]

the rendering state

Referenced by Font(), FullWrtText::send(), and update().

The documentation for this struct was generated from the following file:

- FullWrtText.cxx